#game_area {
    width: 80%;
    margin: 10vh 0px;
    display: flex;
    flex-direction: column;
}

#task_desc {
    position: relative;
    width: 100%;
}

#task {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
}

#pie_container {
    width: 50%;
}

.tiny {
    font-size: 0.8em !important;
    margin: 2px;
    text-align: center;
}

/* Circle diagram */
#pie {
    width: 500px;
    height: 500px;
    position: relative;
    margin: 1% auto;
    padding: 4%;
    overflow: hidden;
    border-radius: 50%;
    border: 2px solid #A0CAD9;

    background-image: url("img/circle_bg.png");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;
    background-origin: content-box;
}

.slice {
    overflow: visible;
    position: absolute;
    top: 0;
    right: 0;
    width: 50%;
    height: 50%;
    transform-origin: 0% 100%;
    border: 1px solid #A0CAD9;
}

.slice:hover:not(".filled") {
    background-color: #A0CAD9;
}

.filled {
    border: none;
}

.slice_contents {
    height: 100%;
    width: 50%;
    padding: 5px;
    display: none;
    flex-direction: column;
    justify-content: center;
}

.filled>.slice_contents {
    display: flex;
}

/* Sortable elements */
#toSort {
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    background-color: #FFFFFFBD;
}

.to_drag {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    flex: 30%;
    position: relative;

    margin: 5px;
    padding: 10px;
    padding-bottom: 2em;
    background-origin: content-box;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;

    pointer-events: auto;
    cursor: pointer;
}

.ui-sortable-helper {
    max-width: 150px !important;
    max-height: 150px !important;
    margin: 0px;
    padding: 0px;
    background-color: #FFFFFFBD;
    border: 2px solid #A0CAD9;
}

.ui-sortable-helper>p {
    display: none;
}

.to_drag:hover {
    background-color: #FFFFFFBD;
    border: 2px solid #A0CAD9;
}

.to_drag:hover>p {
    border-top: 1px solid #A3D8FF;
}

.to_drag>p {
    padding: 5px;
    margin: 0;
    text-align: center;
    position: absolute;
    width: 100%;
    bottom: -1.2em;
    left: 50%;
    transform: translate(-50%, -50%);
}

.placeholder {
    pointer-events: none;
}

/* Responsive */
@media screen and (max-width:1400px) {
    #pie {
        width: 450px;
        height: 450px;
    }

    .ui-sortable-helper {
        max-width: 140px !important;
        max-height: 140px !important;
    }

    .tiny {
        font-size: 0.7em !important;
    }
}

@media screen and (max-width:1100px) {
    #pie {
        width: 350px;
        height: 350px;
    }

    .ui-sortable-helper {
        max-width: 120px !important;
        max-height: 120px !important;
    }

    .tiny {
        font-size: 0.6em !important;
    }
}

@media screen and (max-width:1000px) {
    #pie {
        width: 300px;
        height: 300px;
    }

    .ui-sortable-helper {
        max-width: 100px !important;
        max-height: 100px !important;
    }

    .tiny {
        font-size: 0.5em !important;
    }
}